<?xml version="1.0"?>
<configuration>
  <configSections>
    <section name="loggingConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.LoggingSettings, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null"/>
    <section name="exceptionHandling" type="Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Configuration.ExceptionHandlingSettings, Microsoft.Practices.EnterpriseLibrary.ExceptionHandling, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null"/>
    <section name="Charter.Website.ECommerceGateway.Providers" type="Charter.Website.ECommerceGateway.ProviderConfigurationSectionHandler" allowDefinition="Everywhere" allowLocation="true"/>
    <section name="Redirects" type="SectionHandler"/>
    <sectionGroup name="system.web.extensions" type="System.Web.Configuration.SystemWebExtensionsSectionGroup, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35">
      <sectionGroup name="scripting" type="System.Web.Configuration.ScriptingSectionGroup, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35">
        <section name="scriptResourceHandler" type="System.Web.Configuration.ScriptingScriptResourceHandlerSection, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" requirePermission="false" allowDefinition="MachineToApplication"/>
        <sectionGroup name="webServices" type="System.Web.Configuration.ScriptingWebServicesSectionGroup, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35">
          <section name="jsonSerialization" type="System.Web.Configuration.ScriptingJsonSerializationSection, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" requirePermission="false" allowDefinition="Everywhere"/>
          <section name="profileService" type="System.Web.Configuration.ScriptingProfileServiceSection, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" requirePermission="false" allowDefinition="MachineToApplication"/>
          <section name="authenticationService" type="System.Web.Configuration.ScriptingAuthenticationServiceSection, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" requirePermission="false" allowDefinition="MachineToApplication"/>
          <section name="roleService" type="System.Web.Configuration.ScriptingRoleServiceSection, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" requirePermission="false" allowDefinition="MachineToApplication"/>
        </sectionGroup>
      </sectionGroup>
    </sectionGroup>
  </configSections>
  <configProtectedData>
    <providers>
      <add keyContainername="CharterDotComKey" useMachineContainer="true" name="CustomProvider" type="System.Configuration.RsaProtectedConfigurationProvider,System.Configuration, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"/>
    </providers>
  </configProtectedData>
  <loggingConfiguration name="Logging Application Block" tracingEnabled="true" defaultCategory="General" logWarningsWhenNoCategoriesMatch="true">
    <listeners>
      <add source="Enterprise Library Logging" formatter="Text Formatter" log="Application" machineName="" listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.FormattedEventLogTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" traceOutputOptions="None" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.FormattedEventLogTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" name="Formatted EventLog TraceListener"/>
    </listeners>
    <formatters>
      <add template="Timestamp: {timestamp}&#xA;Message: {message}&#xA;Category: {category}&#xA;Priority: {priority}&#xA;EventId: {eventid}&#xA;Severity: {severity}&#xA;Title:{title}&#xA;Machine: {machine}&#xA;Application Domain: {appDomain}&#xA;Process Id: {processId}&#xA;Process Name: {processName}&#xA;Win32 Thread Id: {win32ThreadId}&#xA;Thread Name: {threadName}&#xA;Extended Properties: {dictionary({key} - {value}&#xA;)}" type="Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.TextFormatter, Microsoft.Practices.EnterpriseLibrary.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" name="Text Formatter"/>
    </formatters>
    <categorySources>
      <add switchValue="All" name="General">
        <listeners>
          <add name="Formatted EventLog TraceListener"/>
        </listeners>
      </add>
    </categorySources>
    <specialSources>
      <allEvents switchValue="All" name="All Events"/>
      <notProcessed switchValue="All" name="Unprocessed Category"/>
      <errors switchValue="All" name="Logging Errors &amp; Warnings">
        <listeners>
          <add name="Formatted EventLog TraceListener"/>
        </listeners>
      </errors>
    </specialSources>
  </loggingConfiguration>
  <exceptionHandling>
    <exceptionPolicies>
      <add name="Exception Policy">
        <exceptionTypes>
          <add type="System.Exception, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" postHandlingAction="NotifyRethrow" name="Exception">
            <exceptionHandlers>
              <add logCategory="General" eventId="100" severity="Error" title="Enterprise Library Exception Handling" formatterType="Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.XmlExceptionFormatter, Microsoft.Practices.EnterpriseLibrary.ExceptionHandling, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" priority="0" type="Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Logging.LoggingExceptionHandler, Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Logging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null" name="Logging Handler"/>
            </exceptionHandlers>
          </add>
        </exceptionTypes>
      </add>
    </exceptionPolicies>
  </exceptionHandling>
  <system.web>
    <!-- needed in DEV/UAT/PROD, does not work on localhost
    <httpCookies  requireSSL="true" lockItem="true" />
    -->
    <httpRuntime maxRequestLength="10500"/>
    <httpHandlers>
      <add verb="GET" path="C_A_P_T_C_H_A__Image.aspx" type="WebControlCaptcha.CaptchaImageHandler, WebControlCaptcha"/>
      <add verb="*" path="*.ccom" type="CharterDotCom.WebSite.Library.ContentImageHandler,CharterDotCom.WebSite.Library"/>
      <add verb="*" path="*.ccswf" type="CharterDotCom.WebSite.Library.ContentBinaryFileHandler,CharterDotCom.WebSite.Library"/>
      <add verb="*" path="*.ccxml" type="CharterDotCom.WebSite.Library.ContentBinaryFileHandler,CharterDotCom.WebSite.Library"/>
      <!--<add verb="*" path="*.ccflv" type="CharterDotCom.WebSite.Library.ContentBinaryFileHandler,CharterDotCom.WebSite.Library"/>-->
      <add verb="*" path="*.xbin" type="CharterDotCom.WebSite.Library.BinaryDocumentHandler,CharterDotCom.WebSite.Library"/>
      <!--Affiliate Redirects-->
      <!--<add verb="*" path="*/Default.aspx" type="SubDomainHandler"/>-->
      <!--Old Charter Redirects-->
      <add verb="*" path="*.asp" type="RedirectHandler"/>
      <add verb="*" path="*.html" type="RedirectHandler"/>
      <add verb="*" path="*/visitors/frequentquestions.aspx" type="RedirectHandler"/>
      <add verb="*" path="*/visitors/nonproducts.aspx" type="RedirectHandler"/>
      <add verb="*" path="*/visitors/contactus.aspx" type="RedirectHandler"/>
      <add verb="*" path="*/visitors/printarticle.aspx" type="RedirectHandler"/>
      <add verb="*" path="*/visitors/searchsupport.aspx" type="RedirectHandler"/>
      <add verb="*" path="*/visitors/support.aspx" type="RedirectHandler"/>
      <add verb="*" path="*/Order/PayYourBill.aspx" type="RedirectHandler"/>
      <!--End Charter-->
      <!--Secure Page Redirects-->
      <add verb="*" type="SecureHandler" path="*/Visitors/AllOffers.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/BuildYourOwn.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/ChooseOptions.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/CustomerIdentification.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/EnterInformation.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/FinishOrder.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/Localize.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/Login.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/CBLogin.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/OfferDetails.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/Offers.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/PayYourBill.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/PreRegistration.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/QuickPay.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/Receipt.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/Register.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/ScheduleInstallation.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/ShoppingCart.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/SignUp.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/SubmitOrder.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/Upsell.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/Forgot.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateAllOffers.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateChooseOptions.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateEnterInformation.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateFinishOrder.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateOfferDetails.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateScheduleInstallation.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateShoppingCart.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateSubmitOrder.aspx"/>
      <add verb="*" type="SecureHandler" path="*/Visitors/AffiliateUpsell.aspx"/>
      <add verb="*" type="SecureHandler" path="*/ms/charterepay.aspx"/>
      <add verb="*" type="SecureHandler" path="*/ms/highspeedsecurity.aspx"/>
      <add verb="*" type="SecureHandler" path="*/ms/manageemailaccounts.aspx"/>
      <add verb="*" type="SecureHandler" path="*/ms/managelogin.aspx"/>
      <add verb="*" type="SecureHandler" path="*/ms/managewebspace.aspx"/>
      <add verb="*" type="SecureHandler" path="*/ms/myaccount.aspx"/>
      <add verb="*" type="SecureHandler" path="*/ms/mywebspace.aspx"/>
      <add verb="*" type="SecureHandler" path="*/cbms/*.aspx"/>
      <!--End-->
      <remove verb="*" path="*.asmx"/>
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      <add verb="GET,HEAD" path="ScriptResource.axd" validate="false" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
    </httpHandlers>
    <httpModules>
      <!--<add type="CharterDotCom.Library.RedirectModule,CharterDotCom.Library" name="RedirectModule"/>-->
      <add type="NonSecureModule" name="NonSecureModule"/>
      <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      <add name="nlog" type="NLog.Web.NLogHttpModule, NLog.Extended" />
    </httpModules>
    <compilation debug="true" strict="true" explicit="true">
      <assemblies>
        <add assembly="System.Configuration.Install, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Core, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Xml.Linq, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
        <add assembly="System.Runtime.Remoting, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Data.DataSetExtensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Management, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="PresentationFramework.Royale, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
        <add assembly="System.Messaging, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
      </assemblies>
    </compilation>
    <pages>
      <namespaces>
        <clear/>
        <add namespace="System"/>
        <add namespace="System.Collections"/>
        <add namespace="System.Collections.Specialized"/>
        <add namespace="System.Configuration"/>
        <add namespace="System.Text"/>
        <add namespace="System.Text.RegularExpressions"/>
        <add namespace="System.Web"/>
        <add namespace="System.Web.Caching"/>
        <add namespace="System.Web.SessionState"/>
        <add namespace="System.Web.Security"/>
        <add namespace="System.Web.Profile"/>
        <add namespace="System.Web.UI"/>
        <add namespace="System.Web.UI.WebControls"/>
        <add namespace="System.Web.UI.WebControls.WebParts"/>
        <add namespace="System.Web.UI.HtmlControls"/>
      </namespaces>
      <controls>
        <add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
        <add tagPrefix="asp" namespace="System.Web.UI.WebControls" assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      </controls>
    </pages>
    <authentication mode="Forms">
      <forms loginUrl="Visitors/Login.aspx" path="/" protection="All" requireSSL="false" slidingExpiration="true" timeout="60"/>
    </authentication>
    <authorization>
      <allow users="*"/>
    </authorization>
    <customErrors mode="RemoteOnly" defaultRedirect="~/Errors/MissingCatalog.aspx">
      <error statusCode="404" redirect="~/Errors/PageNotFound.aspx"/>
    </customErrors>
    <machineKey validationKey="C88D79794E03A74B7CC5BB924BF6D710608079BF6FE4BD2531DF2C30469D633AD5492202A2A4CB05A602E593AF341B2C4F52CF5CCFC2428CDE624EA4E6A0F1A4" decryptionKey="B109CCE001540E1925D13512ABF8B96FE5296A4F24FB9F9E" validation="SHA1"/>
  </system.web>
  <location path="Members" allowOverride="false">
    <system.web>
      <authorization>
        <allow roles="member"/>
        <deny users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="Authors" allowOverride="false">
    <system.web>
      <authorization>
        <allow roles="author"/>
        <deny users="*"/>
      </authorization>
    </system.web>
  </location>
  <location path="Account" allowOverride="false">
    <system.web>
      <authorization>
        <allow roles="member"/>
        <deny users="*"/>
      </authorization>
    </system.web>
  </location>
  <!--Added for cb.com application by sdola on 02-20-08-->
  <location path="CBAccount" allowOverride="false">
    <system.web>
      <authorization>
        <allow roles="member"/>
        <deny users="*"/>
      </authorization>
    </system.web>
  </location>
  <!-- ###############################################################################################     -->
  <!-- RUN AS   P R O D U C T I O N   AND ALSO CAN BE USED TO EMULATE PRODUCTION WHEN DEBUGGING ON LAPTOP  -->
  <!-- ###############################################################################################     -->
  <!--
  <appSettings>
    <add key="ConfigLocation" value="PROD.WEBSERVER" />
    <add key="ConfigProvider.service" value="http://CC2PRDA/Config_Provider/service.asmx" />
    <add key="SCRATCHWEBSERVER" value="PROD.SCRATCHWEBSERVER" />
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging" />
    <add key="SupportCableTVFolder" value="37" />
    <add key="SupportFAQFolder" value="69" />
    <add key="SupprtInternetFolder" value="28" />
    <add key="SupprtTelephoneFolder" value="4" />
    <add key="SupprtEmailFolder" value="88" />
    <add key="SupprtMyAccountFolder" value="77" />
    <add key="SupprtFAQ" value="69" />
    <add key="SupprtFAQCableTV" value="70" />
    <add key="SupprtFAQInternet" value="71" />
    <add key="SupprtFAQTelephone" value="72" />
    <add key="SupprtFAQAccount" value="73" />
    <add key="SupprtFAQHomePage" value="82" />
    <add key="SupprtFAQEmail" value="87" />
    <add key="SiteSettings" value="charter!" />
    <add key="SiteTitle" value="Charter Communications" />
  </appSettings>
--> 
  <!-- ###############################################################################################     -->
  <!-- RUN AS   P R O D U C T I O N   AND ALSO CAN BE USED TO EMULATE PRODUCTION WHEN DEBUGGING ON LAPTOP  -->
  <!-- ###############################################################################################     -->
  <!-- ###############################################################################################     -->
  <!-- RUN AS   T E S T   AND ALSO CAN BE USED TO EMULATE TEST WHEN DEBUGGING ON LAPTOP                    -->
  <!-- ###############################################################################################     -->
  
  <appSettings>
<!--
    <add key="ConfigLocation" value="TEST.WEBSERVER" />
-->
    
    <add key="ConfigLocation" value="LOCALHOST.WEBSERVER" />

<!--    
    <add key="ConfigProvider.service" value="http://CC2UATA/Config_Provider/service.asmx" />
    <add key="ConfigProvider.service" value="http://localhost:51735/BL.REMOTINGHOST/Config_Provider/Service.asmx" />
-->
    <add key="ConfigProvider.service" value="http://localhost:58569/BL.REMOTINGHOST/Config_Provider/Service.asmx" />
    


    <add key="SCRATCHWEBSERVER" value="TEST.SCRATCHWEBSERVER" />
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging" />
    <add key="SupportCableTVFolder" value="90" />
    <add key="SupportFAQFolder" value="69" />
    <add key="SupprtInternetFolder" value="28" />
    <add key="SupprtTelephoneFolder" value="4" />
    <add key="SupprtEmailFolder" value="88" />
    <add key="SupprtMyAccountFolder" value="77" />
    <add key="SupprtFAQ" value="69" />
    <add key="SupprtFAQCableTV" value="70" />
    <add key="SupprtFAQInternet" value="71" />
    <add key="SupprtFAQTelephone" value="72" />
    <add key="SupprtFAQAccount" value="73" />
    <add key="SupprtFAQHomePage" value="82" />
    <add key="SupprtFAQEmail" value="87" />
    <add key="SiteSettings" value="charter!" />
    <add key="SiteTitle" value="Charter Communications" />
  </appSettings>

<!-- ###############################################################################################     -->
  <!-- RUN AS   T E S T   AND ALSO CAN BE USED TO EMULATE TEST WHEN DEBUGGING ON LAPTOP                    -->
  <!-- ###############################################################################################     -->
  <!-- ###############################################################################################     -->
  <!-- RUN AS   D E V   AND ALSO CAN BE USED TO EMULATE DEV WHEN DEBUGGING ON LAPTOP                       -->
  <!-- ###############################################################################################     -->
<!--
  <appSettings>
    <add key="ConfigLocation" value="DEV.WEBSERVER" />
    <add key="ConfigProvider.service" value="http://kstlmweb65:8080/Config_Provider/service.asmx" />
    <add key="SCRATCHWEBSERVER" value="DEV.SCRATCHWEBSERVER" />
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging" />
    <add key="SupportCableTVFolder" value="37" />
    <add key="SupportFAQFolder" value="69" />
    <add key="SupprtInternetFolder" value="28" />
    <add key="SupprtTelephoneFolder" value="4" />
    <add key="SupprtEmailFolder" value="88" />
    <add key="SupprtMyAccountFolder" value="77" />
    <add key="SupprtFAQ" value="69" />
    <add key="SupprtFAQCableTV" value="70" />
    <add key="SupprtFAQInternet" value="71" />
    <add key="SupprtFAQTelephone" value="72" />
    <add key="SupprtFAQAccount" value="73" />
    <add key="SupprtFAQHomePage" value="82" />
    <add key="SupprtFAQEmail" value="87" />
    <add key="SiteSettings" value="charter!" />
    <add key="SiteTitle" value="Charter Communications" />
  </appSettings>
-->

  <!-- ###############################################################################################     -->
  <!-- RUN AS   D E V   AND ALSO CAN BE USED TO EMULATE DEV WHEN DEBUGGING ON LAPTOP                       -->
  <!-- ###############################################################################################     -->
  <!-- ###############################################################################################     -->
  <!-- RUN AS   L O C A L H O S T   AND ALSO CAN BE USED TO RUN AS LOCALHOST WHEN DEBUGGING ON LAPTOP      -->
  <!-- ###############################################################################################     -->
<!--
  <appSettings>  
    <add key="ConfigLocation" value="localhost.WEBSERVER"></add>
    <add key="ConfigProvider.service" value="http://localhost/bl.remotinghost/Config_Provider/service.asmx"/>
    <add key="SCRATCHWEBSERVER" value="localhost.SCRATCHWEBSERVER"></add>
    <add key="ConfigLocation" value="localhost.WEBSERVER"></add>
    <add key="ConfigProvider.service" value="http://localhost/bl.remotinghost/Config_Provider/service.asmx"/>
    <add key="SCRATCHWEBSERVER" value="localhost.SCRATCHWEBSERVER"></add>
    <add key="ErrorQueueLocation" value="\Private$\ErrorLogging"/>
    <add key="SupportCableTVFolder" value="37"/>
    <add key="SupportFAQFolder" value="69"/>
    <add key="SupprtInternetFolder" value="28"/>
    <add key="SupprtTelephoneFolder" value="4"/>
    <add key="SupprtEmailFolder" value="88"/>
    <add key="SupprtMyAccountFolder" value="77"/>
    <add key="SupprtFAQ" value="69"/>
    <add key="SupprtFAQCableTV" value="70"/>
    <add key="SupprtFAQInternet" value="71"/>
    <add key="SupprtFAQTelephone" value="72"/>
    <add key="SupprtFAQAccount" value="73"/>
    <add key="SupprtFAQHomePage" value="82"/>
    <add key="SupprtFAQEmail" value="87"/>
    <add key="SiteSettings" value="charter!"/>
    <add key="SiteTitle" value="Charter Communications"/>
  </appSettings>
-->
<!-- ###############################################################################################     -->
  <!-- RUN AS   L O C A L H O S T   AND ALSO CAN BE USED TO RUN AS LOCALHOST WHEN DEBUGGING ON LAPTOP      -->
  <!-- ###############################################################################################     -->
  <system.webServer>
    <directoryBrowse enabled="false"/>
    <validation validateIntegratedModeConfiguration="false"/>
    <modules>
      <remove name="ScriptModule"/>
      <add name="ScriptModule" preCondition="managedHandler" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      <add name="nlog" type="NLog.Web.NLogHttpModule, NLog.Extended" />
    </modules>
    <handlers>
      <remove name="WebServiceHandlerFactory-Integrated"/>
      <remove name="ScriptHandlerFactory"/>
      <remove name="ScriptHandlerFactoryAppServices"/>
      <remove name="ScriptResource"/>
      <add name="ScriptHandlerFactory" verb="*" path="*.asmx" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      <add name="ScriptHandlerFactoryAppServices" verb="*" path="*_AppService.axd" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
      <add name="ScriptResource" verb="GET,HEAD" path="ScriptResource.axd" preCondition="integratedMode" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/>
    </handlers>
  </system.webServer>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CSharp.CSharpCodeProvider,System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" warningLevel="4">
        <providerOption name="CompilerVersion" value="v3.5"/>
        <providerOption name="WarnAsError" value="false"/>
      </compiler>
      <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.VisualBasic.VBCodeProvider, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" warningLevel="4">
        <providerOption name="CompilerVersion" value="v3.5"/>
        <providerOption name="OptionInfer" value="true"/>
        <providerOption name="WarnAsError" value="false"/>
      </compiler>
    </compilers>
  </system.codedom>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Extensions" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0"/>
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Extensions.Design" publicKeyToken="31bf3856ad364e35"/>
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0"/>
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>